<template>
    <div>
        <section class="hero">
            <div class="hero-body">
                <div class="container">
                    <h1 class="title">
                        {{ $t('modal.welcome.title') }}
                    </h1>
                    <h2 class="subtitle">
                        {{ $t('modal.welcome.subtitle') }}
                    </h2>
                </div>
            </div>
        </section>
        <section class="section">
            <div class="container">
                <p>
                    {{ $t('modal.welcome.text') }}
                </p>
                <i18n path="modal.welcome.text2" tag="p">
                    <template v-slot:search>
                        <nuxt-link :to="localePath('/search')" @click="close">{{ $t('modal.welcome.search') }}</nuxt-link>
                    </template>
                    <template v-slot:random>
                        <nuxt-link :to="localePath('/')" @click="close">{{ $t('modal.welcome.random') }}</nuxt-link>
                    </template>
                </i18n>
                <p>
                    <i18n path="modal.welcome.text3" tag="em">
                        <template v-slot:discord>
                            <a href="https://karaokes.moe/discord" target="_blank">{{ $t('modal.welcome.discord') }}</a>
                        </template>
                    </i18n>
                </p>
            </div>
        </section>
    </div>
</template>
